Skip to main content
GET
/
v2
/
escalation_paths
ListPaths
curl --request GET \
  --url https://api.incident.io/v2/escalation_paths
{
  "escalation_paths": [
    {
      "current_responders": [
        {
          "email": "lisa@incident.io",
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "name": "Lisa Karlin Curtis",
          "role": "viewer",
          "slack_user_id": "U02AYNF2XJM"
        }
      ],
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "name": "Urgent Support",
      "path": [
        {
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "if_else": {
            "conditions": [
              {
                "operation": {
                  "label": "Lawrence Jones",
                  "value": "01FCQSP07Z74QMMYPDDGQB9FTG"
                },
                "param_bindings": [
                  {
                    "array_value": [
                      {
                        "label": "Lawrence Jones",
                        "literal": "SEV123",
                        "reference": "incident.severity"
                      }
                    ],
                    "value": {
                      "label": "Lawrence Jones",
                      "literal": "SEV123",
                      "reference": "incident.severity"
                    }
                  }
                ],
                "subject": {
                  "label": "Incident Severity",
                  "reference": "incident.severity"
                }
              }
            ],
            "else_path": [
              {}
            ],
            "then_path": [
              {}
            ]
          },
          "level": {
            "ack_mode": "all",
            "round_robin_config": {
              "enabled": false,
              "rotate_after_seconds": 120
            },
            "targets": [
              {
                "id": "lawrencejones",
                "schedule_mode": "currently_on_call",
                "type": "schedule",
                "urgency": "high"
              }
            ],
            "time_to_ack_interval_condition": "active",
            "time_to_ack_seconds": 1800,
            "time_to_ack_weekday_interval_config_id": "01FCNDV6P870EA6S7TK1DSYDG0"
          },
          "notify_channel": {
            "targets": [
              {
                "id": "lawrencejones",
                "schedule_mode": "currently_on_call",
                "type": "schedule",
                "urgency": "high"
              }
            ],
            "time_to_ack_interval_condition": "active",
            "time_to_ack_seconds": 1800,
            "time_to_ack_weekday_interval_config_id": "01FCNDV6P870EA6S7TK1DSYDG0"
          },
          "repeat": {
            "repeat_times": 3,
            "to_node": "01FCNDV6P870EA6S7TK1DSYDG0"
          },
          "type": "if_else"
        }
      ],
      "team_ids": [
        "01JPQA75EPNEES4479P16P4XAB"
      ],
      "working_hours": [
        {
          "id": "abc123",
          "name": "abc123",
          "timezone": "abc123",
          "weekday_intervals": [
            {
              "end_time": "17:00",
              "start_time": "09:00",
              "weekday": "monday"
            }
          ]
        }
      ]
    }
  ],
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  }
}

Query Parameters

page_size
integer<int64>
default:25

Integer number of records to return

Required range: 1 <= x <= 25
Example:

25

after
string

An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

escalation_paths
object[]
required
Example:
[
{
"current_responders": [
{
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "viewer",
"slack_user_id": "U02AYNF2XJM"
}
],
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Urgent Support",
"path": [
{
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"if_else": {
"conditions": [
{
"operation": {
"label": "Lawrence Jones",
"value": "01FCQSP07Z74QMMYPDDGQB9FTG"
},
"param_bindings": [
{
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity"
}
}
],
"subject": {
"label": "Incident Severity",
"reference": "incident.severity"
}
}
],
"else_path": [{}],
"then_path": [{}]
},
"level": {
"ack_mode": "all",
"round_robin_config": {
"enabled": false,
"rotate_after_seconds": 120
},
"targets": [
{
"id": "lawrencejones",
"schedule_mode": "currently_on_call",
"type": "schedule",
"urgency": "high"
}
],
"time_to_ack_interval_condition": "active",
"time_to_ack_seconds": 1800,
"time_to_ack_weekday_interval_config_id": "01FCNDV6P870EA6S7TK1DSYDG0"
},
"notify_channel": {
"targets": [
{
"id": "lawrencejones",
"schedule_mode": "currently_on_call",
"type": "schedule",
"urgency": "high"
}
],
"time_to_ack_interval_condition": "active",
"time_to_ack_seconds": 1800,
"time_to_ack_weekday_interval_config_id": "01FCNDV6P870EA6S7TK1DSYDG0"
},
"repeat": {
"repeat_times": 3,
"to_node": "01FCNDV6P870EA6S7TK1DSYDG0"
},
"type": "if_else"
}
],
"team_ids": ["01JPQA75EPNEES4479P16P4XAB"],
"working_hours": [
{
"id": "abc123",
"name": "abc123",
"timezone": "abc123",
"weekday_intervals": [
{
"end_time": "17:00",
"start_time": "09:00",
"weekday": "monday"
}
]
}
]
}
]
pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}